'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _uuid = require('uuid');

var _uuid2 = _interopRequireDefault(_uuid);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var defaultProps = {
    accordion: true,
    expanded: false,
    onClick: function onClick() {},
    className: 'accordion__item'
};

var propTypes = {
    accordion: _propTypes2.default.bool,
    onClick: _propTypes2.default.func,
    expanded: _propTypes2.default.bool,
    children: _propTypes2.default.arrayOf(_propTypes2.default.element).isRequired,
    className: _propTypes2.default.string
};

var AccordionItem = function (_Component) {
    _inherits(AccordionItem, _Component);

    function AccordionItem(props) {
        _classCallCheck(this, AccordionItem);

        var _this = _possibleConstructorReturn(this, (AccordionItem.__proto__ || Object.getPrototypeOf(AccordionItem)).call(this, props));

        _this.state = {
            itemUuid: _uuid2.default.v4()
        };
        _this.renderChildren = _this.renderChildren.bind(_this);
        return _this;
    }

    _createClass(AccordionItem, [{
        key: 'renderChildren',
        value: function renderChildren() {
            var _props = this.props,
                accordion = _props.accordion,
                expanded = _props.expanded,
                onClick = _props.onClick,
                children = _props.children;
            var itemUuid = this.state.itemUuid;


            return _react2.default.Children.map(children, function (item) {
                var itemProps = {};

                if (item.type.accordionElementName === 'AccordionItemTitle') {
                    itemProps.expanded = expanded;
                    itemProps.key = 'title';
                    itemProps.id = 'accordion__title-' + itemUuid;
                    itemProps.ariaControls = 'accordion__body-' + itemUuid;
                    itemProps.onClick = onClick;
                    itemProps.role = accordion ? 'tab' : 'button';

                    return _react2.default.cloneElement(item, itemProps);
                } else if (item.type.accordionElementName === 'AccordionItemBody') {
                    itemProps.expanded = expanded;
                    itemProps.key = 'body';
                    itemProps.id = 'accordion__body-' + itemUuid;
                    itemProps.role = accordion ? 'tabpanel' : '';

                    return _react2.default.cloneElement(item, itemProps);
                }

                return item;
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var className = this.props.className;

            return _react2.default.createElement(
                'div',
                { className: className },
                this.renderChildren()
            );
        }
    }]);

    return AccordionItem;
}(_react.Component);

AccordionItem.propTypes = propTypes;
AccordionItem.defaultProps = defaultProps;

exports.default = AccordionItem;