'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultProps = {
    id: '',
    expanded: false,
    className: 'accordion__body',
    hideBodyClassName: 'accordion__body--hidden',
    role: ''
};

var propTypes = {
    id: _propTypes2.default.string,
    expanded: _propTypes2.default.bool,
    children: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.arrayOf(_propTypes2.default.element)]).isRequired,
    className: _propTypes2.default.string,
    hideBodyClassName: _propTypes2.default.string,
    role: _propTypes2.default.string
};

var AccordionItemBody = function AccordionItemBody(_ref) {
    var id = _ref.id,
        expanded = _ref.expanded,
        children = _ref.children,
        className = _ref.className,
        hideBodyClassName = _ref.hideBodyClassName,
        role = _ref.role;

    var bodyClass = (0, _classnames2.default)(className, _defineProperty({}, hideBodyClassName, !expanded));
    var ariaHidden = !expanded;
    return _react2.default.createElement(
        'div',
        {
            id: id,
            className: bodyClass,
            'aria-hidden': ariaHidden,
            role: role
        },
        children
    );
};

AccordionItemBody.propTypes = propTypes;
AccordionItemBody.defaultProps = defaultProps;
// We need this to be able to assign correct params to element.
// Minifiers modify component name
AccordionItemBody.accordionElementName = 'AccordionItemBody';

exports.default = AccordionItemBody;