'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _accordionItemBody = require('./accordion-item-body');

var _accordionItemBody2 = _interopRequireDefault(_accordionItemBody);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('AccordionItemBody', function () {
    it('renders correctly with min params', function () {
        var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
            _accordionItemBody2.default,
            null,
            _react2.default.createElement(
                'div',
                null,
                'Fake body'
            )
        )).toJSON();
        expect(tree).toMatchSnapshot();
    });

    it('renders correctly with different className', function () {
        var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
            _accordionItemBody2.default,
            { className: 'testCSSClass' },
            _react2.default.createElement(
                'div',
                null,
                'Fake body'
            )
        )).toJSON();
        expect(tree).toMatchSnapshot();
    });

    it('renders correctly with prefixClass', function () {
        var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
            _accordionItemBody2.default,
            { hideBodyClassName: 'testCSSClass--hidden' },
            _react2.default.createElement(
                'div',
                null,
                'Fake body'
            )
        )).toJSON();
        expect(tree).toMatchSnapshot();
    });

    it('renders correctly with expanded', function () {
        var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
            _accordionItemBody2.default,
            { expanded: true },
            _react2.default.createElement(
                'div',
                null,
                'Fake body'
            )
        )).toJSON();
        expect(tree).toMatchSnapshot();
    });
});