'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var defaultProps = {
    id: '',
    expanded: false,
    onClick: function onClick() {},
    ariaControls: '',
    className: 'accordion__title',
    role: ''
};

var propTypes = {
    id: _propTypes2.default.string,
    expanded: _propTypes2.default.bool,
    onClick: _propTypes2.default.func,
    ariaControls: _propTypes2.default.string,
    children: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.arrayOf(_propTypes2.default.element)]).isRequired,
    className: _propTypes2.default.string,
    role: _propTypes2.default.string
};

var AccordionItemTitle = function (_Component) {
    _inherits(AccordionItemTitle, _Component);

    function AccordionItemTitle(props) {
        _classCallCheck(this, AccordionItemTitle);

        var _this = _possibleConstructorReturn(this, (AccordionItemTitle.__proto__ || Object.getPrototypeOf(AccordionItemTitle)).call(this, props));

        _this.handleKeyPress = _this.handleKeyPress.bind(_this);
        return _this;
    }

    _createClass(AccordionItemTitle, [{
        key: 'handleKeyPress',
        value: function handleKeyPress(evt) {
            var onClick = this.props.onClick;

            if (evt.charCode === 13 || evt.charCode === 32) {
                onClick();
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                id = _props.id,
                expanded = _props.expanded,
                ariaControls = _props.ariaControls,
                onClick = _props.onClick,
                children = _props.children,
                className = _props.className,
                role = _props.role;

            return _react2.default.createElement(
                'div',
                { // eslint-disable-line jsx-a11y/no-static-element-interactions
                    id: id,
                    'aria-expanded': expanded,
                    'aria-controls': ariaControls,
                    className: className,
                    onClick: onClick,
                    role: role,
                    tabIndex: '0',
                    onKeyPress: this.handleKeyPress
                },
                children
            );
        }
    }]);

    return AccordionItemTitle;
}(_react.Component);

AccordionItemTitle.propTypes = propTypes;
AccordionItemTitle.defaultProps = defaultProps;
// We need this to be able to assign correct params to element.
// Minifiers modify component name
AccordionItemTitle.accordionElementName = 'AccordionItemTitle';

exports.default = AccordionItemTitle;